# Uses of Interface
com.sun.nio.sctp.NotificationHandler

Packages that use NotificationHandler
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.

- ## Uses of NotificationHandler in com.sun.nio.sctp

  Classes in com.sun.nio.sctp that implement NotificationHandler
  Modifier and Type
  Class
  Description
  `class`
  `AbstractNotificationHandler<T>`
  A skeletal handler that consumes notifications and continues.
  Methods in com.sun.nio.sctp with parameters of type NotificationHandler
  Modifier and Type
  Method
  Description
  `abstract <T> MessageInfo`
  SctpChannel.`receive(ByteBuffer dst, T attachment, NotificationHandler<T> handler)`
  Receives a message into the given buffer and/or handles a notification.
  `abstract <T> MessageInfo`
  SctpMultiChannel.`receive(ByteBuffer buffer, T attachment, NotificationHandler<T> handler)`
  Receives a message and/or handles a notification via this channel.